package com.cooleshow.teacher.ui.mine;

import android.os.Bundle;
import android.view.View;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.cooleshow.base.router.RouterPath;
import com.cooleshow.base.ui.activity.BaseMVPActivity;
import com.cooleshow.base.utils.helper.QMUIStatusBarHelper;
import com.cooleshow.teacher.R;
import com.cooleshow.teacher.contract.BindCardSuccessContract;
import com.cooleshow.teacher.databinding.ActivityBindCardSuccessBinding;
import com.cooleshow.teacher.presenter.mine.BindCardSuccessPresenter;

import androidx.annotation.Nullable;

/**
 * 创建日期：2022/5/19 14:35
 *
 * @author Ryan
 * 类说明：
 */
@Route(path = RouterPath.MineCenter.MINE_BIND_CARD_SUCCESS)
public class BindCardSuccessActivity extends BaseMVPActivity<ActivityBindCardSuccessBinding, BindCardSuccessPresenter> implements BindCardSuccessContract.BindCardSuccessView, View.OnClickListener {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        QMUIStatusBarHelper.setStatusBarLightMode(this);
    }

    @Override
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.tv_i_know:
                finish();
                break;
        }
    }

    @Override
    protected void initView() {
        initMidTitleToolBar(viewBinding.toolbarInclude.toolbar, "绑定成功");
        viewBinding.tvIKnow.setOnClickListener(this);
    }

    @Override
    protected ActivityBindCardSuccessBinding getLayoutView() {
        return ActivityBindCardSuccessBinding.inflate(getLayoutInflater());
    }

    @Override
    protected BindCardSuccessPresenter createPresenter() {
        return null;
    }
}
